--Legal Notice: (C)2007 Altera Corporation. All rights reserved.  Your
--use of Altera Corporation's design tools, logic functions and other
--software and tools, and its AMPP partner logic functions, and any
--output files any of the foregoing (including device programming or
--simulation files), and any associated documentation or information are
--expressly subject to the terms and conditions of the Altera Program
--License Subscription Agreement or other applicable license agreement,
--including, without limitation, that your use is for the sole purpose
--of programming logic devices manufactured by Altera and sold by Altera
--or its authorized distributors.  Please refer to the applicable
--agreement for further details.


-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity game_sound is 
        port (
              -- inputs:
                 signal AUD_ADCDAT : IN STD_LOGIC;
                 signal address : IN STD_LOGIC_VECTOR (5 DOWNTO 0);
                 signal chipselect : IN STD_LOGIC;
                 signal clk : IN STD_LOGIC;
                 signal read : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;
                 signal write : IN STD_LOGIC;
                 signal writedata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

              -- outputs:
                 signal AUD_ADCLRCK : OUT STD_LOGIC;
                 signal AUD_BCLK : INOUT STD_LOGIC;
                 signal AUD_DACDAT : OUT STD_LOGIC;
                 signal AUD_DACLRCK : OUT STD_LOGIC;
                 signal readdata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
                 signal request : OUT STD_LOGIC
              );
end entity game_sound;


architecture europa of game_sound is
component datafeed is 
           port (
                 -- inputs:
                    signal AUD_ADCDAT : IN STD_LOGIC;
                    signal address : IN STD_LOGIC_VECTOR (5 DOWNTO 0);
                    signal chipselect : IN STD_LOGIC;
                    signal clk : IN STD_LOGIC;
                    signal read : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal write : IN STD_LOGIC;
                    signal writedata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

                 -- outputs:
                    signal AUD_ADCLRCK : OUT STD_LOGIC;
                    signal AUD_BCLK : INOUT STD_LOGIC;
                    signal AUD_DACDAT : OUT STD_LOGIC;
                    signal AUD_DACLRCK : OUT STD_LOGIC;
                    signal readdata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
                    signal request : OUT STD_LOGIC
                 );
end component datafeed;

                signal internal_AUD_ADCLRCK :  STD_LOGIC;
                signal internal_AUD_DACDAT :  STD_LOGIC;
                signal internal_AUD_DACLRCK :  STD_LOGIC;
                signal internal_readdata :  STD_LOGIC_VECTOR (15 DOWNTO 0);
                signal internal_request :  STD_LOGIC;

begin

  --the_datafeed, which is an e_instance
  the_datafeed : datafeed
    port map(
      AUD_ADCLRCK => internal_AUD_ADCLRCK,
      AUD_BCLK => AUD_BCLK,
      AUD_DACDAT => internal_AUD_DACDAT,
      AUD_DACLRCK => internal_AUD_DACLRCK,
      readdata => internal_readdata,
      request => internal_request,
      AUD_ADCDAT => AUD_ADCDAT,
      address => address,
      chipselect => chipselect,
      clk => clk,
      read => read,
      reset_n => reset_n,
      write => write,
      writedata => writedata
    );


  --vhdl renameroo for output signals
  AUD_ADCLRCK <= internal_AUD_ADCLRCK;
  --vhdl renameroo for output signals
  AUD_DACDAT <= internal_AUD_DACDAT;
  --vhdl renameroo for output signals
  AUD_DACLRCK <= internal_AUD_DACLRCK;
  --vhdl renameroo for output signals
  readdata <= internal_readdata;
  --vhdl renameroo for output signals
  request <= internal_request;

end europa;

